{% extends "_layout.html" %}

{% block title %}{{ vial_current_view.get_view_title() }}{% endblock %}

{% block content %}
<div class="row">
    <div class="col-lg-12">
        <div class="jumbotron" style="margin-top: 1em;">
            <h1 class="text-center">
                {{ vial_current_view.get_view_title() }}
            </h1>
            <hr>
            <br>
            <img src="{{ url_for('static', filename='images/app-logo.png') }}" class="welcome-logo img-responsive center-block">
            {% if not current_user.is_authenticated %}
            <br>
            <br>
            <p class="lead text-center">
                {{ _('You have to be authenticated to use most features provided by this application.') }}
            </p>
            <br>
    {%- set endpoint_register = get_endpoint_class('auth.register') %}
    {%- set endpoint_login = get_endpoint_class('auth.login') %}
            <div class="text-center">
                <div class="btn-group" role="group">
                    <a class="btn btn-default btn-lg" href="{{ endpoint_register.get_view_url() }}" role="button">
                        {{ get_icon(endpoint_register.get_view_icon()) }} {{ endpoint_register.get_menu_title() }}
                    </a>
                    <a class="btn btn-primary btn-lg" href="{{ endpoint_login.get_view_url() }}" role="button">
                        {{ get_icon(endpoint_login.get_view_icon()) }} {{ endpoint_login.get_menu_title() }}
                    </a>
                </div>
            </div>
            {% endif %}
        </div>
    </div>
    <!-- /.col-lg-12 -->
</div>
{% endblock %}
